package org.rcisoft.bus.bcustomer.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年5月11日 下午3:19:37.
*/
@Data
@TableName("b_customer")
public class BCustomer  extends CyIdIncreEntity<BCustomer> {



     /**
     * @desc
     * @column cust_code
     * @default
     */
     @Excel(name = "custCode", orderNum = "0", width = 20)
     private String custCode;

     /**
     * @desc
     * @column cust_name
     * @default
     */
     @Excel(name = "custName", orderNum = "1", width = 20)
     private String custName;

     /**
     * @desc
     * @column cust_group
     * @default
     */
     @Excel(name = "custGroup", orderNum = "2", width = 20)
     private String custGroup;

     /**
     * @desc
     * @column cust_group2
     * @default
     */
     @Excel(name = "custGroup2", orderNum = "3", width = 20)
     private String custGroup2;

     /**
     * @desc
     * @column cust_rt1
     * @default
     */
     @Excel(name = "custRt1", orderNum = "4", width = 20)
     private String custRt1;

     /**
     * @desc
     * @column cust_io
     * @default
     */
     @Excel(name = "custIo", orderNum = "5", width = 20)
     private String custIo;

     /**
     * @desc
     * @column cust_newpic
     * @default
     */
     @Excel(name = "custNewpic", orderNum = "6", width = 20)
     private String custNewpic;

     /**
     * @desc
     * @column cust_group1
     * @default
     */
     @Excel(name = "custGroup1", orderNum = "7", width = 20)
     private String custGroup1;

     /**
     * @desc
     * @column cust_rt2
     * @default
     */
     @Excel(name = "custRt2", orderNum = "8", width = 20)
     private String custRt2;

     /**
     * @desc
     * @column cust_rout
     * @default
     */
     @Excel(name = "custRout", orderNum = "9", width = 20)
     private String custRout;

     /**
     * @desc
     * @column cust_addr
     * @default
     */
     @Excel(name = "custAddr", orderNum = "10", width = 20)
     private String custAddr;

     /**
     * @desc
     * @column cust_g0
     * @default
     */
     @Excel(name = "custG0", orderNum = "11", width = 20)
     private String custG0;

     /**
     * @desc
     * @column cust_g20
     * @default
     */
     @Excel(name = "custG20", orderNum = "12", width = 20)
     private String custG20;

     /**
     * @desc
     * @column cust_g30
     * @default
     */
     @Excel(name = "custG30", orderNum = "13", width = 20)
     private String custG30;

     /**
     * @desc
     * @column cust_g201
     * @default
     */
     @Excel(name = "custG201", orderNum = "14", width = 20)
     private String custG201;

     /**
     * @desc
     * @column cust_save
     * @default
     */
     @Excel(name = "custSave", orderNum = "15", width = 20)
     private String custSave;

     /**
     * @desc
     * @column cust_stype
     * @default
     */
     @Excel(name = "custStype", orderNum = "16", width = 20)
     private String custStype;

     /**
     * @desc
     * @column cust_g1
     * @default
     */
     @Excel(name = "custG1", orderNum = "17", width = 20)
     private String custG1;

     /**
     * @desc
     * @column cust_yj
     * @default
     */
     @Excel(name = "custYj", orderNum = "18", width = 20)
     private String custYj;

     /**
     * @desc
     * @column cust_yj2
     * @default
     */
     @Excel(name = "custYj2", orderNum = "19", width = 20)
     private String custYj2;

     /**
     * @desc
     * @column cust_yj3
     * @default
     */
     @Excel(name = "custYj3", orderNum = "20", width = 20)
     private String custYj3;

     /**
     * @desc
     * @column cust_gc
     * @default
     */
     @Excel(name = "custGc", orderNum = "21", width = 20)
     private String custGc;


}

