package org.rcisoft.bus.bpnsypn.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.bus.bpnsypn.entity.BPnSypn;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年5月11日 下午3:19:37.
 */
public interface BPnSypnService {

    /**
    * 保存
    * @param bPnSypn
    * @return
    */
    CyPersistModel persist(BPnSypn bPnSypn);

    /**
    * 删除
    * @param bPnSypn
    * @return
    */
    CyPersistModel remove(BPnSypn bPnSypn);
    /**
    * 逻辑删除
    * @param bPnSypn
    * @return
    */
    CyPersistModel removeLogical(BPnSypn bPnSypn);
    /**
    * 修改
    * @param bPnSypn
    * @return
    */
    CyPersistModel merge(BPnSypn bPnSypn);

    /**
    * 根据id查询
    * @param id
    * @return
    */
    BPnSypn findById(Integer id);

    /**
    * 分页查询
    * @param bPnSypn
    * @return
    */
    IPage<BPnSypn> findAllByPagination(CyPageInfo<BPnSypn> paginationUtility,
              BPnSypn bPnSypn);


    /**
    * 查询list
    * @param bPnSypn
    * @return
    */
    List<BPnSypn> findAll(BPnSypn bPnSypn);


    /**
    * 导出
    * @return
    */
    List<BPnSypn> export(BPnSypn bPnSypn);

}
