package org.rcisoft.bus.jnsp7xtmdqsj.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.bus.jnsp7xtm.dto.Jnsp7xtmOptionDto;
import org.rcisoft.bus.jnsp7xtmdqsj.entity.Jnsp7xtmDqsj;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年5月14日 上午10:20:48.
 */
public interface Jnsp7xtmDqsjService {

    /**
    * 保存
    * @param jnsp7xtmDqsj
    * @return
    */
    CyPersistModel persist(Jnsp7xtmDqsj jnsp7xtmDqsj);

    /**
    * 删除
    * @param jnsp7xtmDqsj
    * @return
    */
    CyPersistModel remove(Jnsp7xtmDqsj jnsp7xtmDqsj);

    /**
    * 修改
    * @param jnsp7xtmDqsj
    * @return
    */
    CyPersistModel merge(Jnsp7xtmDqsj jnsp7xtmDqsj);

    /**
    * 根据id查询
    * @param id
    * @return
    */
    Jnsp7xtmDqsj findById(int id);

    /**
    * 分页查询
    * @param jnsp7xtmDqsj
    * @return
    */
    IPage<Jnsp7xtmDqsj> findAllByPagination(CyPageInfo<Jnsp7xtmDqsj> paginationUtility,
              Jnsp7xtmDqsj jnsp7xtmDqsj);


    /**
    * 查询list
    * @param jnsp7xtmDqsj
    * @return
    */
    List<Jnsp7xtmDqsj> findAll(Jnsp7xtmDqsj jnsp7xtmDqsj);


    /**
    * 导出
    * @return
    */
    List<Jnsp7xtmDqsj> export(Jnsp7xtmDqsj jnsp7xtmDqsj);

    /**
     * 查询月份信息
     * **/
    Jnsp7xtmOptionDto getMonth();

    /**
     * 数据表重置
     * **/
    CyPersistModel dataTableRese();

    /**
     * 流程添加
     * **/
    CyPersistModel monthlyTablePull();
}
