package org.rcisoft.bus.jnsp7xtm.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @Author: gy
 * @Date: 2024/5/7 10:25
 * @Description:
 */
@Data
@TableName("Jnsp7xtm")
public class Jnsp7xtm {

    @Excel(name = "nqy", orderNum = "2", width = 20)
    private String nqy;

    @Excel(name = "ddh", orderNum = "3", width = 20)
    private String ddh;

    @Excel(name = "khdm", orderNum = "4", width = 20)
    private String khdm;

    @Excel(name = "khm", orderNum = "5", width = 20)
    private String khm;

    @Excel(name = "gc", orderNum = "6", width = 20)
    @TableField(exist = false)
    private String gc;

    @Excel(name = "co", orderNum = "7", width = 20)
    @TableField(exist = false)
    private String co;

    @Excel(name = "seqno", orderNum = "8", width = 20)
    @TableField(exist = false)
    private String seqno;

    @Excel(name = "khqf", orderNum = "8", width = 20)
    private String khqf;

    @Excel(name = "pn", orderNum = "11", width = 20)
    private String pn;

    @Excel(name = "mksqf", orderNum = "9", width = 20)
    private String mksqf;

    @Excel(name = "xsjg", orderNum = "16", width = 20,type = 10)
    private String xsjg;

    @Excel(name = "zzc", orderNum = "19", width = 20,type = 10)
    private String zzc;

    @Excel(name = "rmb", orderNum = "21", width = 20,type = 10)
    private String rmb;

    @Excel(name = "chzsa", orderNum = "22", width = 20,type = 10)
    private String chzsa;

    @Excel(name = "szzt", orderNum = "18", width = 20, replace = {"未确认_1","已确认_2","已最终确认_3","未最终确认_4"})
    private String szzt;

    @Excel(name = "chzsb", orderNum = "23", width = 20,type = 10)
    private String chzsb;

    @Excel(name = "ddjsr", orderNum = "24", width = 20)
    private String ddjsr;

    @Excel(name = "ddzdnq", orderNum = "25", width = 20)
    private String ddzdnq;

    @Excel(name = "zd", orderNum = "1", width = 20)
    private String zd;


    @Excel(name = "fnq", orderNum = "17", width = 20)
    private String fnq;

    @TableField(value = "L24")
    private String ltw;

    @Excel(name = "yydd", orderNum = "26", width = 20)
    private String yydd;

    @Excel(name = "zzcg", orderNum = "20", width = 20,type = 10)
    private String zzcg;

    @Excel(name = "bz", orderNum = "14", width = 20)
    private String bz;

    @Excel(name = "jypn", orderNum = "13", width = 20)
    private String jypn;

    @Excel(name = "fzdm", orderNum = "12", width = 20)
    private String fzdm;

    @Excel(name = "xslj", orderNum = "10", width = 20)
    private String xslj;

    @Excel(name = "jlpm", orderNum = "9", width = 20)
    private String jlpm;

    @Excel(name = "hl", orderNum = "15", width = 20)
    @TableField(exist = false)
    private String hl;

}
