package org.rcisoft.bus.jnsp7xtmdqsj.entity;
import cn.afterturn.easypoi.cache.manager.IFileLoader;
import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import org.apache.commons.lang3.StringUtils;
import org.apache.ibatis.type.JdbcType;
import org.rcisoft.bus.jnsp7xtm.vo.Jnsp7xtmVo;
import org.rcisoft.core.entity.CyIdEntity;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年5月14日 上午10:20:48.
*/
@Data
@TableName("jnsp7xtm_dqsj")
public class Jnsp7xtmDqsj {

     @TableId(value = "business_id", type = IdType.AUTO)
     @TableField(fill = FieldFill.INSERT, jdbcType = JdbcType.INTEGER)
     @ApiModelProperty(name = "businessId", value = "businessId", required = true, dataType = "integer")
     private Integer businessId;

     /**
     * @desc
     * @column term
     * @default
     */
     @Excel(name = "term", orderNum = "0", width = 20)
     private String term;

     /**
     * @desc
     * @column half
     * @default
     */
     @Excel(name = "half", orderNum = "1", width = 20)
     private String half;

     /**
     * @desc
     * @column quarter
     * @default
     */
     @Excel(name = "quarter", orderNum = "2", width = 20)
     private String quarter;

     /**
     * @desc
     * @column month
     * @default
     */
     @Excel(name = "month", orderNum = "3", width = 20)
     private String month;

     /**
     * @desc
     * @column cc
     * @default
     */
     @Excel(name = "cc", orderNum = "4", width = 20)
     private String cc;

     /**
     * @desc
     * @column cn
     * @default
     */
     @Excel(name = "cn", orderNum = "5", width = 20)
     private String cn;

     /**
     * @desc
     * @column io
     * @default
     */
     @Excel(name = "io", orderNum = "6", width = 20)
     private String io;

     /**
     * @desc
     * @column route
     * @default
     */
     @Excel(name = "route", orderNum = "7", width = 20)
     private String route;

     /**
     * @desc
     * @column pc
     * @default
     */
     @Excel(name = "pc", orderNum = "8", width = 20)
     private String pc;

     /**
      * @desc
      * @column sypn
      * @default
      */
     @Excel(name = "sypn", orderNum = "8", width = 20)
     private String sypn;

     /**
     * @desc
     * @column factory
     * @default
     */
     @Excel(name = "factory", orderNum = "9", width = 20)
     private String factory;

     /**
     * @desc
     * @column size
     * @default
     */
     @Excel(name = "size", orderNum = "10", width = 20)
     private String size;

     /**
     * @desc
     * @column pn
     * @default
     */
     @Excel(name = "pn", orderNum = "11", width = 20)
     private String pn;

     /**
     * @desc
     * @column po
     * @default
     */
     @Excel(name = "po", orderNum = "12", width = 20)
     private BigDecimal po;

     /**
     * @desc
     * @column fc
     * @default
     */
     @Excel(name = "fc", orderNum = "13", width = 20)
     private BigDecimal fc;

     /**
     * @desc
     * @column qty
     * @default
     */
     @Excel(name = "qty", orderNum = "14", width = 20)
     private BigDecimal qty;

     /**
     * @desc
     * @column up
     * @default
     */
     @Excel(name = "up", orderNum = "15", width = 20)
     private BigDecimal up;

     /**
     * @desc
     * @column currency
     * @default
     */
     @Excel(name = "currency", orderNum = "16", width = 20)
     private String currency;

     /**
     * @desc
     * @column rate
     * @default
     */
     @Excel(name = "rate", orderNum = "17", width = 20)
     private BigDecimal rate;

     /**
     * @desc
     * @column amt
     * @default
     */
     @Excel(name = "amt", orderNum = "18", width = 20)
     private BigDecimal amt;

     /**
     * @desc
     * @column cust_group
     * @default
     */
     @Excel(name = "custGroup", orderNum = "19", width = 20)
     private String custGroup;

     /**
     * @desc
     * @column cust_group2
     * @default
     */
     @Excel(name = "custGroup2", orderNum = "20", width = 20)
     private String custGroup2;

     /**
     * @desc
     * @column cust_rt1
     * @default
     */
     @Excel(name = "custRt1", orderNum = "21", width = 20)
     private String custRt1;

     /**
     * @desc
     * @column cust_io
     * @default
     */
     @Excel(name = "custIo", orderNum = "22", width = 20)
     private String custIo;

     /**
     * @desc
     * @column cust_newpic
     * @default
     */
     @Excel(name = "custNewpic", orderNum = "23", width = 20)
     private String custNewpic;

     /**
     * @desc
     * @column cust_group1
     * @default
     */
     @Excel(name = "custGroup1", orderNum = "24", width = 20)
     private String custGroup1;

     /**
     * @desc
     * @column cust_rt2
     * @default
     */
     @Excel(name = "custRt2", orderNum = "25", width = 20)
     private String custRt2;

     /**
     * @desc
     * @column cust_rout
     * @default
     */
     @Excel(name = "custRout", orderNum = "26", width = 20)
     private String custRout;

     /**
     * @desc
     * @column cust_addr
     * @default
     */
     @Excel(name = "custAddr", orderNum = "27", width = 20)
     private String custAddr;

     /**
     * @desc
     * @column cust_g0
     * @default
     */
     @Excel(name = "custG0", orderNum = "28", width = 20)
     private String custG0;

     /**
     * @desc
     * @column cust_g20
     * @default
     */
     @Excel(name = "custG20", orderNum = "29", width = 20)
     private String custG20;

     /**
     * @desc
     * @column cust_g30
     * @default
     */
     @Excel(name = "custG30", orderNum = "30", width = 20)
     private String custG30;

     /**
     * @desc
     * @column cust_g201
     * @default
     */
     @Excel(name = "custG201", orderNum = "31", width = 20)
     private String custG201;

     /**
     * @desc
     * @column cust_save
     * @default
     */
     @Excel(name = "custSave", orderNum = "32", width = 20)
     private String custSave;

     /**
     * @desc
     * @column cust_stype
     * @default
     */
     @Excel(name = "custStype", orderNum = "33", width = 20)
     private String custStype;

     /**
     * @desc
     * @column cust_g1
     * @default
     */
     @Excel(name = "custG1", orderNum = "34", width = 20)
     private String custG1;

     /**
     * @desc
     * @column cust_yj
     * @default
     */
     @Excel(name = "custYj", orderNum = "35", width = 20)
     private String custYj;

     /**
     * @desc
     * @column cust_yj2
     * @default
     */
     @Excel(name = "custYj2", orderNum = "36", width = 20)
     private String custYj2;

     /**
     * @desc
     * @column cust_yj3
     * @default
     */
     @Excel(name = "custYj3", orderNum = "37", width = 20)
     private String custYj3;

     /**
     * @desc
     * @column cust_gc
     * @default
     */
     @Excel(name = "custGc", orderNum = "38", width = 20)
     private String custGc;

     public static final String TERM_C = "C";

     public static final String TERM_L = "L";

     /**
      *
      * @param jnsp7xtmVo
      * @return
      */
     public static Jnsp7xtmDqsj generateJnsp7xtmDqsj(Jnsp7xtmVo jnsp7xtmVo){
          Jnsp7xtmDqsj jnsp7xtmDqsj = new Jnsp7xtmDqsj();
          // y.cust_group  -  cust_gc 20项
          BeanUtil.copyProperties(jnsp7xtmVo,jnsp7xtmDqsj);
          jnsp7xtmDqsj.setTerm(TERM_C);
          jnsp7xtmDqsj.setMonth(jnsp7xtmVo.getNqy());
          /*
               if(x.nqy = xxxx04 ... 09)  y.half = 1H
               if(x.nqy = xxxx10 ... 03)  y.half = 2H
          */
          String lastTwoNqy = "";
          if (StringUtils.isNotBlank(jnsp7xtmVo.getNqy()) && jnsp7xtmVo.getNqy().length() > 2) {
              lastTwoNqy = jnsp7xtmVo.getNqy().substring(jnsp7xtmVo.getNqy().length() - 2);
              if (lastTwoNqy.equals("04") || lastTwoNqy.equals("05") || lastTwoNqy.equals("06") || lastTwoNqy.equals("07") || lastTwoNqy.equals("08") || lastTwoNqy.equals("09")) {
                   jnsp7xtmDqsj.setHalf("1H");
              } else {
                   jnsp7xtmDqsj.setHalf("2H");
              }
               /*
                    if(x.nqy = xxxx04 ... 06)  y.quarter = Q1
                    if(x.nqy = xxxx07 ... 09)  y.quarter = Q2
                    if(x.nqy = xxxx10 ... 12)  y.quarter = Q3
                    if(x.nqy = xxxx01 ... 03)  y.quarter = Q4
                */
               if (lastTwoNqy.equals("01") || lastTwoNqy.equals("02") || lastTwoNqy.equals("03")) {
                    jnsp7xtmDqsj.setQuarter("Q4");
               } else if (lastTwoNqy.equals("04") || lastTwoNqy.equals("05") || lastTwoNqy.equals("06")) {
                    jnsp7xtmDqsj.setQuarter("Q1");
               } else if (lastTwoNqy.equals("07") || lastTwoNqy.equals("08") || lastTwoNqy.equals("09")) {
                    jnsp7xtmDqsj.setQuarter("Q2");
               } else if (lastTwoNqy.equals("10") || lastTwoNqy.equals("11") || lastTwoNqy.equals("12")) {
                    jnsp7xtmDqsj.setQuarter("Q3");
               }
               jnsp7xtmDqsj.setCc(jnsp7xtmVo.getKhdm());
               jnsp7xtmDqsj.setCn(jnsp7xtmVo.getKhm());
               //  if(x.xslj == "W0") ? y.io = I: y.io = O
               if (StringUtils.isNotBlank(jnsp7xtmVo.getXslj())) {
                    if (jnsp7xtmVo.getXslj().equals("W0"))
                         jnsp7xtmDqsj.setIo("I");
                    jnsp7xtmDqsj.setIo("O");
               }
               jnsp7xtmDqsj.setRoute(jnsp7xtmVo.getXslj());
               jnsp7xtmDqsj.setPc(jnsp7xtmVo.getZd());
               //   if(x.zd == "CR" || WR || MP) ?  y.factory = "CC1" :  y.factory = "CC2"
               if (StringUtils.isNotBlank(jnsp7xtmVo.getZd())) {
                    if (jnsp7xtmVo.getZd().equals("CR") || jnsp7xtmVo.getZd().equals("WR") || jnsp7xtmVo.getZd().equals("MP"))
                         jnsp7xtmDqsj.setFactory("CC1");
                    jnsp7xtmDqsj.setFactory("CC2");
               }
               jnsp7xtmDqsj.setSize(jnsp7xtmVo.getJlpm());
               jnsp7xtmDqsj.setPn(jnsp7xtmVo.getPn());
               jnsp7xtmDqsj.setSypn(jnsp7xtmVo.getSypn());
               jnsp7xtmDqsj.setPo(new BigDecimal(jnsp7xtmVo.getZzc()));
               //   y.qty = y.po + y.fc (BigDecimal)
               if (jnsp7xtmDqsj.getPo() != null && jnsp7xtmDqsj.getFc() != null) {
                    jnsp7xtmDqsj.setQty(jnsp7xtmDqsj.getPo().add(jnsp7xtmDqsj.getFc()) );
               }
               jnsp7xtmDqsj.setUp(new BigDecimal(jnsp7xtmVo.getXsjg()));
               jnsp7xtmDqsj.setCurrency(jnsp7xtmVo.getBz());
               jnsp7xtmDqsj.setAmt(new BigDecimal(jnsp7xtmVo.getRmb()));
          }
          return jnsp7xtmDqsj;
     }

}

